summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/loofah/loofah-2.22.0.ebuild4
-rw-r--r--dev-ruby/mechanize/Manifest1
-rw-r--r--dev-ruby/mechanize/mechanize-2.10.0.ebuild46
-rw-r--r--dev-ruby/ruby-shout/files/ruby-shout-2.2.2-errno.patch13
-rw-r--r--dev-ruby/ruby-shout/ruby-shout-2.2.2-r2.ebuild4
-rw-r--r--dev-ruby/serverengine/serverengine-2.3.2.ebuild4
6 files changed, 67 insertions, 5 deletions
diff --git a/dev-ruby/loofah/loofah-2.22.0.ebuild b/dev-ruby/loofah/loofah-2.22.0.ebuild
index a17f239b0e23..47b158d37fc8 100644
--- a/dev-ruby/loofah/loofah-2.22.0.ebuild
+++ b/dev-ruby/loofah/loofah-2.22.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
diff --git a/dev-ruby/mechanize/Manifest b/dev-ruby/mechanize/Manifest
index 3f2fc6e9c234..4306fd4784be 100644
--- a/dev-ruby/mechanize/Manifest
+++ b/dev-ruby/mechanize/Manifest
@@ -1,2 +1,3 @@
+DIST mechanize-2.10.0.gem 144384 BLAKE2B 8a317b78c28d85f957cc50e54139305b2e64409b992ad5558385609d28986b33bfcbd947e7be3688524be0b2840a978004f4ea89b5d68fa5c52b2130ece0fc48 SHA512 e97d2b29326a12c2f5a7e2d997997c95a814fc127097bfd0786d2388ffec43a5a5bca05d5c4956fed6833b5aee84913cc2a275f56712a66651d3993ae0a46cb9
DIST mechanize-2.9.1.gem 143872 BLAKE2B 0e5d9f8e2f6eadf8de1f252518646b58117e1151be595edb5827a69b1bc83ce063690fe41ea3ec38a66565d44cb46141e4a0b34c878308c69dbc1249304d6f0a SHA512 6525cf8ea31c36fb20f5d83bebdb647942f24ddee979a832343ea964de11e31421e4f68943c1b15c9bb519b9b11cda9ab2a1c10ceca412e1854b5b20dda7ac78
DIST mechanize-2.9.2.gem 144384 BLAKE2B 8271f86ad29f720f196941cf151690a7ee76600d5045c0ff672dedbb8cf852c954fa4b765d158525a1deee14f508915c03b4ab1a50d0a02655b037492dfb3fdb SHA512 1b7ef1acf41dc2080d64ca3052380b988403cb64ee748a1d052153c8e3bc167f3fe98f7d2c80a706906ca1a5abab5209a87ebda04cd8a068d8be8e8223a23829
diff --git a/dev-ruby/mechanize/mechanize-2.10.0.ebuild b/dev-ruby/mechanize/mechanize-2.10.0.ebuild
new file mode 100644
index 000000000000..4a9eec5d11bb
--- /dev/null
+++ b/dev-ruby/mechanize/mechanize-2.10.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md EXAMPLES.rdoc GUIDE.rdoc README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby library used for automating interaction with websites"
+HOMEPAGE="https://github.com/sparklemotion/mechanize"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="test"
+
+ruby_add_bdepend ">=dev-ruby/hoe-3.7
+ test? ( dev-ruby/minitest:5 )"
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.8:0
+ dev-ruby/base64
+ >=dev-ruby/domain_name-0.5.20190701:0
+ >=dev-ruby/http-cookie-1.0.3:0
+ dev-ruby/mime-types:3
+ >=dev-ruby/net-http-digest_auth-1.4.1:0
+ dev-ruby/net-http-persistent:4
+ >=dev-ruby/nokogiri-1.11.2:0
+ >=dev-ruby/rubyntlm-0.6.3:0
+ >=dev-ruby/webrick-1.7:0
+ >=dev-ruby/webrobots-0.1.2 =dev-ruby/webrobots-0.1*
+"
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e '$VERBOSE=true; Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}
diff --git a/dev-ruby/ruby-shout/files/ruby-shout-2.2.2-errno.patch b/dev-ruby/ruby-shout/files/ruby-shout-2.2.2-errno.patch
new file mode 100644
index 000000000000..91e484ab4295
--- /dev/null
+++ b/dev-ruby/ruby-shout/files/ruby-shout-2.2.2-errno.patch
@@ -0,0 +1,13 @@
+--- a/ext/shout_ext.c 2024-01-23 14:02:08.404056464 +0100
++++ b/ext/shout_ext.c 2024-01-23 14:03:47.152700002 +0100
+@@ -91,8 +91,8 @@
+ /* For metadata-related errors, which don't relate to a shout_t, so we can't
+ * use shout_get_errno or shout_get_error on them.
+ */
+-static void raise_nonspecific_shout_error(int errno) {
+- rb_raise(cShoutError, "%d", errno);
++static void raise_nonspecific_shout_error(int err_no) {
++ rb_raise(cShoutError, "%d", err_no);
+ }
+
+ /*
diff --git a/dev-ruby/ruby-shout/ruby-shout-2.2.2-r2.ebuild b/dev-ruby/ruby-shout/ruby-shout-2.2.2-r2.ebuild
index 4297a213750e..59543decf60d 100644
--- a/dev-ruby/ruby-shout/ruby-shout-2.2.2-r2.ebuild
+++ b/dev-ruby/ruby-shout/ruby-shout-2.2.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,3 +23,5 @@ IUSE=""
RDEPEND+=" >=media-libs/libshout-2.0"
DEPEND+=" >=media-libs/libshout-2.0"
+
+PATCHES=( "${FILESDIR}/${P}-errno.patch" )
diff --git a/dev-ruby/serverengine/serverengine-2.3.2.ebuild b/dev-ruby/serverengine/serverengine-2.3.2.ebuild
index 1555dfadaa3e..877f071d5c85 100644
--- a/dev-ruby/serverengine/serverengine-2.3.2.ebuild
+++ b/dev-ruby/serverengine/serverengine-2.3.2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="Changelog README.md"